Pay by bank
View a PayIn (Pay by Bank)
GET
Path parameters
string
required
The unique identifier of the pay-in.
Responses
200
200
string
Max length: 128 characters (see data formats for details)The unique identifier of the object.
string
Max. length: 255 charactersCustom data that you can add to this object.
For transactions (pay-in, transfer, payout), you can use this parameter to identify corresponding information regarding the user, transaction, or payment methods on your platform.
For transactions (pay-in, transfer, payout), you can use this parameter to identify corresponding information regarding the user, transaction, or payment methods on your platform.
Unix timestamp
The date and time at which the object was created.
string
The unique identifier of the user at the source of the transaction.
object
Information about the debited funds.
object
Information about the credited funds (
CreditedFunds = DebitedFunds - Fees).object
Information about the fees.
string
Returned values:
CREATED, SUCCEEDED, FAILEDThe status of the transaction.string
The code indicating the result of the operation. This information is mostly used to handle errors or for filtering purposes.
string
The explanation of the result code.
Unix timestamp
The date and time at which the status changed to
SUCCEEDED, indicating that the transaction occurred. The statuses CREATED and FAILED return an ExecutionDate of null.string
Returned values:
PAYIN, TRANSFER, CONVERSION, PAYOUTThe type of the transaction.string
Returned values:
REGULAR, REPUDIATION, REFUND, SETTLEMENTThe nature of the transaction, providing more information about the context in which the transaction occurred:REGULAR– Relative to most of the transactions (pay-ins, payouts, and transfers) in a usual workflow.REPUDIATION– Automatic withdrawal of funds from the platform’s repudiation wallet as part of the dispute process (when the user has requested a chargeback).REFUND– Reimbursement of a transaction to the user (pay-in refund), to a wallet (transfer refund), or of a payout (payout refund, only initiated by Mangopay).SETTLEMENT– Transfer made to the repudiation wallet by the platform to settle a lost dispute.
string
The unique identifier of the credited wallet.
string
Default value: The unique identifier of the owner of the credited wallet.The unique identifier of the user whose wallet is credited.
string
Returned values:
PAY_BY_BANKThe type of pay-in.string
Returned values:
WEBThe execution type of the mandate.string
Max. length: 255 charactersThe URL to which the user is returned after the payment, whether the transaction is successful or not.
string
The URL to which to redirect the user to complete the payment.Caution: This variable URL is specific to each payment. You must rely on the returned URL in full (host, path, and queries) and not hardcode any part of it.
string
Max. length: 10 characters; only alphanumeric and spacesCustom description to appear on the user’s bank statement along with the platform name. Different banks may show more or less information. See the Customizing bank statement references article for details.
string
Allowed values:
AT, DE, DK, EE, ES, FI, FR, GB, IE, IT, LV, LT, NL, NO, PL, PT.The country of residence of the user.string
The BIC of the user’s bank account, which is only returned if it was sent.If both the
IBAN and BIC are provided, one of the two authentication steps required by certain banks may be avoided.string
The IBAN of the user’s bank account, which is only returned if it was sent.If both the
IBAN and BIC are provided, one of the two authentication steps required by certain banks may be avoided.string
Allowed values:
WEB, APPDefault value: WEBThe platform environment of the post-payment flow. The PaymentFlow value combines with the ReturnURL to manage the redirection behavior after payment:- Set the value to
APPto send the user to your platform’s mobile app - Set the value to
WEBto send the user to a web browser
ReturnURL, whether to your app or website.string
Allowed values: One of the supported bank names.The name of the bank, which is only returned if it was sent.If the
BankName is provided, the user doesn’t have to select their bank when they are redirected.string
Allowed values:
DA, CS, DE, EN, ET, ES, FI, FR, IT, LT, LV, NL, NO, PL, PT, SVDefault value: ENThe language in which the Tink open banking page is to be displayed.string
Allowed values: One of the supported schemes for the
Country.Default value: The listed instant scheme for the Country. If Country is DK, there is no default and the Scheme must be specified.The scheme to use to process the payment. Note that some banks may charge additional fees to the user for instant payment schemes.string
Possible values:
PENDING_SUCCEEDEDParameter that is only returned once the bank wire has been successfully authenticated and initiated by the user but has not yet been received by Mangopay. When the funds are received, the Status changes from CREATED to SUCCEEDED and the ProcessingStatus is no longer returned.For non-instant schemes, processing can take up to 72 hours but is typically completed within 2 days.200 - Functional errors
200 - Functional errors
Pay by Bank functional errors (
ResultCode):206101
RedirectURL page embeddedThe payment failed because the redirect URL is embedded in a page.
206102
RedirectURL already processedThe payment failed because the redirect URL has already been processed.
206103
Bank not supportedThe payment failed because the selected bank is not supported.
206104
User not recognizedThe payment failed because the user is not recognized by the bank.
206105
Authentication method not supportedThe payment failed because the authentication method selected is not supported.
206106
Invalid user credentialsThe payment failed due to invalid user credentials.
206107
Parallel session detectedThe payment failed due to another session being open for the user.
206108
User blocked by bankThe payment failed because the user has been blocked by their bank.
206109
User denied by bankThe payment failed because the user is not authorized to perform this action.